using APT.Infrastructure.EF.Map;
using APT.BaseData.Domain.Entities.FM;
using Microsoft.EntityFrameworkCore.Metadata.Builders;

namespace APT.BaseData.Data.Mapping.FM
{
	public class FMUserGroupMap: APTEntityBaseMap<T_FM_USER_GROUP>
	{
		public override void Configure(EntityTypeBuilder<T_FM_USER_GROUP> builder)
		{
			base.Configure(builder);

			builder.Property(t => t.NAME)
			  .HasMaxLength(50);

            builder.Property(t => t.NAME_ACRONYM).HasMaxLength(100);
            builder.Property(t => t.CODE)
			  .HasMaxLength(50);
		}
	}
}
